<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaymentInstrumentSearch StructType
 * @subpackage Structs
 */
class PaymentInstrumentSearch extends SearchRecord
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\PaymentInstrumentSearchBasic
     */
    public $basic;
    /**
     * The customerJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CustomerSearchBasic
     */
    public $customerJoin;
    /**
     * The transactionJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TransactionSearchBasic
     */
    public $transactionJoin;
    /**
     * Constructor method for PaymentInstrumentSearch
     * @uses PaymentInstrumentSearch::setBasic()
     * @uses PaymentInstrumentSearch::setCustomerJoin()
     * @uses PaymentInstrumentSearch::setTransactionJoin()
     * @param \StructType\PaymentInstrumentSearchBasic $basic
     * @param \StructType\CustomerSearchBasic $customerJoin
     * @param \StructType\TransactionSearchBasic $transactionJoin
     */
    public function __construct(\StructType\PaymentInstrumentSearchBasic $basic = null, \StructType\CustomerSearchBasic $customerJoin = null, \StructType\TransactionSearchBasic $transactionJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setCustomerJoin($customerJoin)
            ->setTransactionJoin($transactionJoin);
    }
    /**
     * Get basic value
     * @return \StructType\PaymentInstrumentSearchBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\PaymentInstrumentSearchBasic $basic
     * @return \StructType\PaymentInstrumentSearch
     */
    public function setBasic(\StructType\PaymentInstrumentSearchBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get customerJoin value
     * @return \StructType\CustomerSearchBasic|null
     */
    public function getCustomerJoin()
    {
        return $this->customerJoin;
    }
    /**
     * Set customerJoin value
     * @param \StructType\CustomerSearchBasic $customerJoin
     * @return \StructType\PaymentInstrumentSearch
     */
    public function setCustomerJoin(\StructType\CustomerSearchBasic $customerJoin = null)
    {
        $this->customerJoin = $customerJoin;
        return $this;
    }
    /**
     * Get transactionJoin value
     * @return \StructType\TransactionSearchBasic|null
     */
    public function getTransactionJoin()
    {
        return $this->transactionJoin;
    }
    /**
     * Set transactionJoin value
     * @param \StructType\TransactionSearchBasic $transactionJoin
     * @return \StructType\PaymentInstrumentSearch
     */
    public function setTransactionJoin(\StructType\TransactionSearchBasic $transactionJoin = null)
    {
        $this->transactionJoin = $transactionJoin;
        return $this;
    }
}
